mb_stristr
mb_strpos
Multibyte String Functions
PHP Manual

# mb_strlen

(PHP 4 >= 4.0.6, PHP 5)

mb_strlen — Get string length

### Description

int mb_strlen ( string `$str` [, string `$encoding` ] )

Gets the length of a string.

### Parameters

`str`

  The string being checked for length.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

Returns the number of characters in string `str` having character encoding `encoding` . A multi-byte character is counted as 1.

### See Also

- mb_internal_encoding()
- strlen()

mb_stristr
mb_strpos
Multibyte String Functions
PHP Manual